/*
This migration adds a new table for credit-card specific properties.
*/

CREATE TABLE credit_card_account_properties (
    account_id BIGINT PRIMARY KEY,
    credit_limit NUMERIC(12, 4) NULL,
    CONSTRAINT fk_credit_card_account_properties_account
        FOREIGN KEY (account_id) REFERENCES account(id)
            ON UPDATE CASCADE ON DELETE CASCADE
);
